Subject: bug#27243: closed (Re: bug#27243: dired-auto-revert-buffer jumps point to beginning of buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 10 Jun 2017 08:26:02 +0000

Your bug report

#27243: dired-auto-revert-buffer jumps point to beginning of buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27243: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27243
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27243: dired-auto-revert-buffer jumps point to beginning of buffer
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 10 Jun 2017 11:24:38 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 05 Jun 2017 19:20:41 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > Your fix is certainly simpler and I think cleaner than mine, so I would
> > say install it.
> 
> OK, thanks.  I will wait for a couple of days to let others a chance
> to chime in, and will install if no further comments come up.

No further comments, so I pushed the change, and I'm marking this bug
done.

Subject: dired-auto-revert-buffer jumps point to beginning of buffer
From: Antoine Levitt <[email-masked]>
To: [email-masked]
Date: Sun, 04 Jun 2017 16:45:05 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Tested on git master, the bug is not present on 25.

Recipe from emacs -Q:

(setq dired-auto-revert-buffer t)

open dired, open a folder, C-x b back to the previous dired buffer, open
the same folder again, see point jump back to the beginning of buffer.

I'm not sure why, since dired-auto-revert-buffer just seems to call
revert-buffer, which does not jump point.